Subject: [PCN] 3-in-1: some more issues

From: Michael Menth <[email-masked]>
Date: Sun, 10 Jul 2011 23:10:46 +0200

Hi Toby and all,

Section 5.2.3

I believe Section 5.2.3 can be dropped. It's the edge nodes that need to 
deal with unexpectedly marked packets. This would also make Appendix D 
redundant.

Section 5.3

"If the PCN-domain is configured to use only excess-traffic marking, the
PCN-egress node MUST treat ThM as ETM and if only threshold-marking is used
it should treat ETM as ThM. However it SHOULD raise a management alarm in
either instance since this means there is some misconfiguration in the
PCN-domain."

I don't think this advice for edge behaviors is not needed in this 
document so that this paragraph may be dropped.

Section 6.1

"BCP 124 [RFC4774] gives guidelines for specifying alternative semantics for
the ECN field. It sets out a number of factors to be taken into
consideration. It also suggests various techniques to allow the co-existence
of default ECN and alternative ECN semantics. The encoding specified in this
document uses one of those techniques; it defines PCN-compatible Diffserv
codepoints as no longer supporting the default ECN semantics."

->

"... ECN semantics within PCN domains."

Without this additions one may read it that packets with a CE-mark 
before entering a PCN domain may leave it without a CE-mark. This would 
violate RFC4774 as I read it.

Regards,

     Michael

-- 
Prof. Dr. habil. Michael Menth
University of Tuebingen
Faculty of Science
Department of Computer Science
Chair of Communication Networks
Sand 13, 72076 Tuebingen, Germany
phone: (+49)-7071/29-70505
fax: (+49)-7071/29-5220
mailto:[email-masked]
http://www-kn.informatik.uni-tuebingen.de

---

From: "Toby Moncaster" <[email-masked]>
Date: Sun, 10 Jul 2011 22:32:41 +0100

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Michael Menth
> Sent: 10 July 2011 22:11
> To: [email-masked]
> Subject: [PCN] 3-in-1: some more issues
> 
> Hi Toby and all,
> 
> 
> Section 5.2.3
> 

And what happens if a misconfigured interior node marks something wrong? You
can't just assume everything works perfectly all the time... 

> document so that this paragraph may be dropped.

This is by way of being a caveat. If it isn't mentioned here, how will edge
behaviour authors know what to do in this circumstance?

> violate RFC4774 as I read it.

This needs a proper discussion in its own thread...

Toby

> _______________________________________________
> PCN mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pcn

---

From: <[email-masked]>
Date: Mon, 11 Jul 2011 08:57:11 +0100

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Michael Menth
Sent: 10 July 2011 22:11
To: [email-masked]
Subject: [PCN] 3-in-1: some more issues

Hi Toby and all,

Section 5.2.3

[phil] 5,2,3 doesn't seem needed in the main body of the doc. Personally I think Appendices that explain design choices are quite useful.

Section 5.3

[phil] probably this is most logical (although don't mind much either way)

Section 6.1

->

Regards,

     Michael

---

From: "Toby Moncaster" <[email-masked]>
Date: Mon, 11 Jul 2011 09:22:17 +0100

> [email-masked]
> Sent: 11 July 2011 08:57
> To: [email-masked]; [email-masked]
> Subject: Re: [PCN] 3-in-1: some more issues
> 
> 
> [phil] 5,2,3 doesn't seem needed in the main body of the doc.
> Personally I think Appendices that explain design choices are quite
> useful.

Although it appears as though 5.2.3 mandates that the behaviour with one
mark is the same as with two marks, there are 2 key differences that make it
necessary for this section to exist; Firstly, they mandate that the wrong
marker be turned off (thus allowing ETM-only to work as legacy pre-6040
coding), secondly they mention providing management alarms...

> [phil] probably this is most logical (although don't mind much either

I was keen to include it just to make sure it was stated

Toby

---

From: <[email-masked]>
Date: Mon, 11 Jul 2011 09:25:06 +0100

Toby
Re 5.2.3 - you're quite right
Thanks for the clarification,
phil

-----Original Message-----
From: Toby Moncaster [mailto:[email-masked]] 
Sent: 11 July 2011 09:22
To: Eardley,PL,Philip,DES8 R; [email-masked]; [email-masked]
Subject: RE: [PCN] 3-in-1: some more issues

Toby